Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Results 1 to 6 of 6
  1. #1

    Default Error 405 after Login w/ 6.14

    I just did a 6.14 upgrade on a test VM ... nice new theme, but I get an error 405 after login:

    "HTTP put method is not supported by this URL"

    The system was working fine with the 6.12 Rev 7 release ...

    Apart from the above error, I can't see any other problems ... also, there are no hints/errors in the open-xchange.log file ...

    Any idea?

    Edit: Message is caused by the Infostore, going there results in the same error ...

    Edit 2: Editing personal user data doesn't work correctly anymore, it displays an empty form (with all the fields present, but no content), and error 404 ...
    Last edited by Garry; 11-30-2009 at 09:40 PM.

  2. #2
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Hi,

    please post the list of installed packages and the entry at the apache access log regarding the 405 error. Thanks!

  3. #3

    Default

    Code:
    S | Catalog   | Type    | Name                                     | Version        | Arch
    --+-----------+---------+------------------------------------------+----------------+-------
    i | OXUPDATES | package | open-xchange                             | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-activation                  | 1.1.1-16_16.1  | noarch
    i | OXUPDATES | package | open-xchange-admin                       | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-admin-client                | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-admin-doc                   | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-admin-lib                   | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-admin-plugin-hosting        | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-admin-plugin-hosting-client | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-admin-plugin-hosting-doc    | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-admin-plugin-hosting-lib    | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-authentication-imap         | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-cache                       | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-calendar                    | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-charset                     | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-common                      | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-configjump-generic          | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-configread                  | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-contactcollector            | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-control                     | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-conversion                  | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-conversion-engine           | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-conversion-servlet          | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-crypto                      | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-data-conversion-ical4j      | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-dataretention               | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-genconf                     | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-genconf-mysql               | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-global                      | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-group-managerequest         | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-gui                         | 6.14.0.0-5_5.1 | noarch
    i |           | package | open-xchange-help-usm-eas                | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-i18n                        | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-imap                        | 6.14.0.0-5_5.1 | noarch
    i |           | package | open-xchange-jcharset                    | 1.3.0-46_46.1  | noarch
    i | OXUPDATES | package | open-xchange-mailfilter                  | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-management                  | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-monitoring                  | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-online-help-de              | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-online-help-en              | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-online-help-fr              | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-passwordchange-database     | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-passwordchange-servlet      | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-publish                     | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-publish-basic               | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-push-udp                    | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-resource-managerequest      | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-server                      | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-sessiond                    | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-settings-extensions         | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-smtp                        | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-spamhandler-default         | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-sql                         | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-subscribe                   | 6.14.0.0-5_5.1 | noarch
    i | OXUPDATES | package | open-xchange-threadpool                  | 6.14.0.0-5_5.1 | noarch
    i |           | package | open-xchange-usm                         | 6.14.0.0-3_3.1 | noarch
    i | OXUPDATES | package | open-xchange-xml                         | 6.14.0.0-5_5.1 | noarch
    Error is caused here:
    x.x.x.x - - [01/Dec/2009:05:46:46 +0100] "PUT /ajax/user?session=233bbbd15f894bb08fee639aa71ef311&acti on=list&columns=524,500,555,614 HTTP/1.1" 405 258 "https://X.X.X.X/ox6/ox.html" "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5) Gecko/20091102 Firefox/3.5.5"

    Same ajax-script is also called in the user-info page ...

    Checking with the not-yet-updated system, that one calls ajax/multiple instead ... so it looks like either the script was renamed, or split up ... but that didn't make it into the distribution package (SLES10 btw)

  4. #4
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Hi,

    some packages seem to be missing, please check this
    http://www.open-xchange.com/wiki/ind...tingOXPackages

    and the list of required packages on a new installation:
    http://www.open-xchange.com/wiki/ind...stall_packages

    Greetings

  5. #5
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    That's a bug. The package open-xchange-user-json is missing in the package dependencies. Just install that package and the error should be gone.
    OXpedia.org - the answer to almost all questions.

  6. #6

    Default

    I did notice there's some 10-15 packages on that list that weren't on the system ... all of which not needed for 6.12 obviously, as I didn't seem to have any problems ...

    After identifying the packages and installing them, the system seems to be running fine now ... Tnx!
    Last edited by Garry; 12-01-2009 at 12:07 PM.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •